
<a routerLink="/contact">contact</a><span style="margin-right:20px"></span>
<a routerLink="/dashboard">dashboard</a>
<a routerLink="/weather">dashboard</a>
<p>dashboard work !</p>
<div class="container">
    <div class="row">
        <div class="col-md-6 offset-md-3">
            <h3>Choose File</h3>
            <form (ngSubmit)="onSubmit()">
                <div class="form-group">
                    <input type="file" name="image"  />
                </div>
                <div class="form-group">
                    <button class="btn btn-primary">Submit</button>
                </div>
            </form>
        </div>
        <div class="profilphoto" style="width:200px;height:200px;background:#eee">
          <img src="{{imgData}}"  id="tableBanner">
        </div>
    </div>
</div>
<br>
<input placeholder="English" [(ngModel)]="newEn" id="en">
<input placeholder="Vietnamese" [(ngModel)]="newVN" id="vn">
<button (click)="addWord()">thêm từ mới</button>

<select [(ngModel)] ="fill">
  <option value="all">xem tất cả</option>
  <option value="da">xem đã nhớ</option>
  <option value="chua">xem chưa nhớ</option>
</select>
<ul *ngFor = "let for of arrWords" id="arrWord">
  <div *ngIf="getshowstart(for.memorized)" class="word">
  <li>
    <h4 [ngStyle]= "{ color: for.memorized ? 'green' : 'red' }" >{{for.en}} </h4> ng g component my-new-component{{for.vn}}
  </li>
  <button (click)="removeWord(for.id);">Xóa</button>
  <button (click)="for.memorized = !for.memorized ">{{ for.memorized ? 'đã thuộc' : 'chưa thuộc' }}</button>
 
    <input placeholder="English" [(ngModel)]="for.en"  value="{{for.en}} ">
    <input placeholder="Vietnamese" [(ngModel)]="for.vn"  value="{{for.vn}}">
    <button (click)="onUpdate(for.id)">sửa từ mới</button>
 
 
</div>
 
</ul>

